<?php
//about theme info
add_action( 'admin_menu', 'photographer_elementor_gettingstarted' );
function photographer_elementor_gettingstarted() {
	add_theme_page( esc_html__('Photographer Elementor', 'photographer-elementor'), esc_html__('Photographer Elementor', 'photographer-elementor'), 'edit_theme_options', 'photographer_elementor_about', 'photographer_elementor_mostrar_guide');
}

// Add a Custom CSS file to WP Admin Area
function photographer_elementor_admin_theme_style() {
	wp_enqueue_style('photographer-elementor-custom-admin-style', esc_url(get_template_directory_uri()) . '/includes/getstart/getstart.css');
	wp_enqueue_script('photographer-elementor-tabs', esc_url(get_template_directory_uri()) . '/includes/getstart/js/tab.js');
	wp_enqueue_style( 'font-awesome-css', get_template_directory_uri().'/assets/css/fontawesome-all.css' );
}
add_action('admin_enqueue_scripts', 'photographer_elementor_admin_theme_style');

// Changelog
if ( ! defined( 'PHOTOGRAPHER_ELEMENTOR_CHANGELOG_URL' ) ) {
    define( 'PHOTOGRAPHER_ELEMENTOR_CHANGELOG_URL', get_template_directory() . '/readme.txt' );
}

function photographer_elementor_changelog_screen() {	
	global $wp_filesystem;
	$changelog_file = apply_filters( 'photographer_elementor_changelog_file', PHOTOGRAPHER_ELEMENTOR_CHANGELOG_URL );
	if ( $changelog_file && is_readable( $changelog_file ) ) {
		WP_Filesystem();
		$changelog = $wp_filesystem->get_contents( $changelog_file );
		$changelog_list = photographer_elementor_parse_changelog( $changelog );
		echo wp_kses_post( $changelog_list );
	}
}

function photographer_elementor_parse_changelog( $content ) {
	$content = explode ( '== ', $content );
	$changelog_isolated = '';
	foreach ( $content as $key => $value ) {
		if (strpos( $value, 'Changelog ==') === 0) {
	    	$changelog_isolated = str_replace( 'Changelog ==', '', $value );
	    }
	}
	$changelog_array = explode( '= ', $changelog_isolated );
	unset( $changelog_array[0] );
	$changelog = '<div class="changelog">';
	foreach ( $changelog_array as $value) {
		$value = preg_replace( '/\n+/', '</span><span>', $value );
		$value = '<div class="block"><span class="heading">= ' . $value . '</span></div><hr>';
		$changelog .= str_replace( '<span></span>', '', $value );
	}
	$changelog .= '</div>';
	return wp_kses_post( $changelog );
}

//guidline for about theme
function photographer_elementor_mostrar_guide() { 
	//custom function about theme customizer
	$photographer_elementor_return = add_query_arg( array()) ;
	$photographer_elementor_theme = wp_get_theme( 'photographer-elementor' );
?>

    <div class="top-head">
		<div class="top-title">
			<h2><?php esc_html_e( 'Photographer Elementor', 'photographer-elementor' ); ?></h2>
		</div>
		<div class="top-right">
			<span class="version"><?php esc_html_e( 'Version', 'photographer-elementor' ); ?>: <?php echo esc_html($photographer_elementor_theme['Version']);?></span>
		</div>
    </div>

    <div class="inner-cont">

	    <div class="tab-sec">
	    	<div class="tab">
				<button class="tablinks" onclick="photographer_elementor_open_tab(event, 'setup_customizer')"><?php esc_html_e( 'Setup With Customizer', 'photographer-elementor' ); ?></button>
				<button class="tablinks" onclick="photographer_elementor_open_tab(event, 'wpelemento_importer_editor')"><?php esc_html_e( 'Demo Import', 'photographer-elementor' ); ?></button>
				<button class="tablinks" onclick="photographer_elementor_open_tab(event, 'changelog_cont')"><?php esc_html_e( 'Changelog', 'photographer-elementor' ); ?></button>
			</div>

			<div id="setup_customizer" class="tabcontent open">
				<div class="tab-outer-box">
				  	<div class="lite-theme-inner">
						<h3><?php esc_html_e('Theme Customizer', 'photographer-elementor'); ?></h3>
						<p><?php esc_html_e('To begin customizing your website, start by clicking "Customize".', 'photographer-elementor'); ?></p>
						<div class="info-link">
							<a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e('Customizing', 'photographer-elementor'); ?></a>
						</div>
						<hr>
						<h3><?php esc_html_e('Help Docs', 'photographer-elementor'); ?></h3>
						<p><?php esc_html_e('The complete procedure to configure and manage a WordPress Website from the beginning is shown in this documentation .', 'photographer-elementor'); ?></p>
						<div class="info-link">
							<a href="<?php echo esc_url( PHOTOGRAPHER_ELEMENTOR_FREE_THEME_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation', 'photographer-elementor'); ?></a>
						</div>
						<hr>
						<h3><?php esc_html_e('Need Support?', 'photographer-elementor'); ?></h3>
						<p><?php esc_html_e('Our dedicated team is well prepared to help you out in case of queries and doubts regarding our theme.', 'photographer-elementor'); ?></p>
						<div class="info-link">
							<a href="<?php echo esc_url( PHOTOGRAPHER_ELEMENTOR_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support Forum', 'photographer-elementor'); ?></a>
						</div>
						<hr>
						<h3><?php esc_html_e('Reviews & Testimonials', 'photographer-elementor'); ?></h3>
						<p> <?php esc_html_e('All the features and aspects of this WordPress Theme are phenomenal. I\'d recommend this theme to all.', 'photographer-elementor'); ?></p>
						<div class="info-link">
							<a href="<?php echo esc_url( PHOTOGRAPHER_ELEMENTOR_REVIEW ); ?>" target="_blank"><?php esc_html_e('Review', 'photographer-elementor'); ?></a>
						</div>
						<hr>
						<div class="link-customizer">
							<h3><?php esc_html_e( 'Link to customizer', 'photographer-elementor' ); ?></h3>
							<div class="first-row">
								<div class="row-box">
									<div class="row-box1">
										<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','photographer-elementor'); ?></a>
									</div>
									<div class="row-box2">
										<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','photographer-elementor'); ?></a>
									</div>
								</div>
							
								<div class="row-box">
									<div class="row-box1">
										<span class="dashicons dashicons-align-center"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=header_image') ); ?>" target="_blank"><?php esc_html_e('Header Image','photographer-elementor'); ?></a>
									</div>
									<div class="row-box2">
										<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','photographer-elementor'); ?></a>
									</div>
								</div>
							</div>
						</div>
				  	</div>
				</div>
			</div>

			<div id="wpelemento_importer_editor" class="tabcontent">
				<?php if(!class_exists('WPElemento_Importer_ThemeWhizzie')){
					$plugin_ins = Photographer_Elementor_Plugin_Activation_WPElemento_Importer::get_instance();
					$photographer_elementor_actions = $plugin_ins->recommended_actions;
					?>
					<div class="photographer-elementor-recommended-plugins ">
							<div class="photographer-elementor-action-list">
								<?php if ($photographer_elementor_actions): foreach ($photographer_elementor_actions as $key => $photographer_elementor_actionValue): ?>
										<div class="photographer-elementor-action" id="<?php echo esc_attr($photographer_elementor_actionValue['id']);?>">
											<div class="action-inner plugin-activation-redirect">
												<h3 class="action-title"><?php echo esc_html($photographer_elementor_actionValue['title']); ?></h3>
												<div class="action-desc"><?php echo esc_html($photographer_elementor_actionValue['desc']); ?></div>
												<?php echo wp_kses_post($photographer_elementor_actionValue['link']); ?>
											</div>
										</div>
									<?php endforeach;
								endif; ?>
							</div>
					</div>
				<?php }else{ ?>
					<div class="tab-outer-box">
						<h2><?php esc_html_e( 'Welcome to Elemento Theme!', 'photographer-elementor' ); ?></h2>
						<p><?php esc_html_e( 'For setup the theme, First you need to click on the Begin activating plugins', 'photographer-elementor' ); ?></p>
						<p><?php esc_html_e( '1. Install Kirki Customizer Framework ', 'photographer-elementor' ); ?></p>
						<p><?php esc_html_e( '>> Then click to Return to Required Plugins Installer ', 'photographer-elementor' ); ?></p>
						<p><?php esc_html_e( '2. Install WPElemento Importer', 'photographer-elementor' ); ?></p>
						<p><?php esc_html_e( '>> Then click to Return to Required Plugins Installer ', 'photographer-elementor' ); ?></p>
						<p><?php esc_html_e( '3. Activate Kirki Customizer Framework ', 'photographer-elementor' ); ?></p>
						<p><?php esc_html_e( '4. Activate WPElemento Importer ', 'photographer-elementor' ); ?></p>
						<p><?php esc_html_e( '>> Then click to Return to the Dashboard', 'photographer-elementor' ); ?></p>
						<p><?php esc_html_e( '>> Click on the start now button', 'photographer-elementor' ); ?></p>
						<p><?php esc_html_e( '>> Click install plugins', 'photographer-elementor' ); ?></p>
						<p><?php esc_html_e( '>> Click import demo button to setup the theme and click visit your site button', 'photographer-elementor' ); ?></p>
					</div>
				<?php } ?>
			</div>

			<div id="changelog_cont" class="tabcontent">
				<div class="tab-outer-box">
					<?php photographer_elementor_changelog_screen(); ?>
				</div>
			</div>
			
		</div>

		<div class="inner-side-content">
			<h2><?php esc_html_e('Premium Theme', 'photographer-elementor'); ?></h2>
			<div class="tab-outer-box">
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/screenshot.png" alt="" />
				<h3><?php esc_html_e('Photographer WordPress Theme', 'photographer-elementor'); ?></h3>
				<div class="iner-sidebar-pro-btn">
					<span class="premium-btn"><a href="<?php echo esc_url( PHOTOGRAPHER_ELEMENTOR_BUY_NOW ); ?>" target="_blank"><?php esc_html_e('Buy Now', 'photographer-elementor'); ?></a>
					</span>
					<span class="demo-btn"><a href="<?php echo esc_url( PHOTOGRAPHER_ELEMENTOR_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'photographer-elementor'); ?></a>
					</span>
					<span class="doc-btn"><a href="<?php echo esc_url( PHOTOGRAPHER_ELEMENTOR_PRO_DOC ); ?>" target="_blank"><?php esc_html_e('Pro Doc', 'photographer-elementor'); ?></a>
					</span>
				</div>
				<hr>
				<div class="premium-coupon">
					<div class="premium-features">
						<h3><?php esc_html_e('premium Features', 'photographer-elementor'); ?></h3>
						<ul>
							<li><?php esc_html_e( 'Multilingual', 'photographer-elementor' ); ?></li>
							<li><?php esc_html_e( 'Drag and drop features', 'photographer-elementor' ); ?></li>
							<li><?php esc_html_e( 'Zero Coding Required', 'photographer-elementor' ); ?></li>
							<li><?php esc_html_e( 'Mobile Friendly Layout', 'photographer-elementor' ); ?></li>
							<li><?php esc_html_e( 'Responsive Layout', 'photographer-elementor' ); ?></li>
							<li><?php esc_html_e( 'Unique Designs', 'photographer-elementor' ); ?></li>
						</ul>
					</div>
					<div class="coupon-box">
						<h3><?php esc_html_e('Upgrade For $32 (20% Off)', 'photographer-elementor'); ?></h3>
						<a class="coupon-btn" href="<?php echo esc_url( PHOTOGRAPHER_ELEMENTOR_BUY_NOW ); ?>" target="_blank"><?php esc_html_e('UPGRADE NOW', 'photographer-elementor'); ?></a>
						<div class="coupon-container">
							<h3><?php esc_html_e( 'elemento20', 'photographer-elementor' ); ?></h3>
							<p><?php esc_html_e( 'Normally $40. use coupon at checkout.', 'photographer-elementor' ); ?></p>
						</div>
					</div>
				</div>
			</div>	
		</div>
	</div>

<?php } ?>